Skip to main content
GET
/
v1
/
eval
/
histogram
Get score distribution histogram for a metric
curl --request GET \
  --url https://api.trulayer.ai/v1/eval/histogram \
  --header 'Authorization: Bearer <token>'
{
  "metric": "<string>",
  "buckets": [
    {
      "range_start": 123,
      "range_end": 123,
      "count": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Query Parameters

project_id
string<uuid>
required
metric
string
required
from
string<date-time>
to
string<date-time>
buckets
integer
default:10

Number of histogram buckets

Required range: 1 <= x <= 100

Response

Score distribution histogram

metric
string
required
buckets
object[]
required